Bug 505793 - Correct resolution detected but wrong resolution used with KMS for DVI
Correct resolution detected but wrong resolution used with KMS for DVI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 17:50 EDT by Martin Ebourne
Modified: 2018-04-11 14:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 17:50:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log from default kms boot where wrong resolution was used (104.21 KB, text/plain)
2009-06-13 17:50 EDT, Martin Ebourne
no flags Details
xdpyinfo with KMS when wrong resolution in use (19.11 KB, text/plain)
2009-06-13 17:52 EDT, Martin Ebourne
no flags Details
xrandr output with KMS when wrong resolution in use (677 bytes, text/plain)
2009-06-13 17:52 EDT, Martin Ebourne
no flags Details
xorg log with nomodeset and correct resolution in use (71.77 KB, text/plain)
2009-06-13 17:53 EDT, Martin Ebourne
no flags Details
xdypinfo with nomodeset and correct resolution in use (19.12 KB, text/plain)
2009-06-13 17:54 EDT, Martin Ebourne
no flags Details
xrandr output with nomodeset and correct resolution in use (490 bytes, text/plain)
2009-06-13 17:55 EDT, Martin Ebourne
no flags Details

  None (edit)
Description Martin Ebourne 2009-06-13 17:50:24 EDT
Created attachment 347774 [details]
xorg log from default kms boot where wrong resolution was used

Description of problem:
Using DVI connection I can see that Xorg found the right display resolution (1360x768) but the display is incorrect at 1024x768.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-7.fc11@x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Boot system
  
Actual results:
Xorg runs at 1024x768. xrandr reports two DVI displays even though only one is present. The correct resolution is reported but seemingly on the phantom DVI display rather than the one really in use.

Expected results:
Xorg should run at 1360x768

Additional info:
Works fine with nomodeset. In this case xrandr only reports one DVI display and lists the correct resolutions for it.
Comment 1 Martin Ebourne 2009-06-13 17:52:19 EDT
Created attachment 347775 [details]
xdpyinfo with KMS when wrong resolution in use
Comment 2 Martin Ebourne 2009-06-13 17:52:52 EDT
Created attachment 347776 [details]
xrandr output with KMS when wrong resolution in use
Comment 3 Martin Ebourne 2009-06-13 17:53:35 EDT
Created attachment 347777 [details]
xorg log with nomodeset and correct resolution in use
Comment 4 Martin Ebourne 2009-06-13 17:54:04 EDT
Created attachment 347778 [details]
xdypinfo with nomodeset and correct resolution in use
Comment 5 Martin Ebourne 2009-06-13 17:55:34 EDT
Created attachment 347779 [details]
xrandr output with nomodeset and correct resolution in use

Note that display properties dialogue shows correct monitor name with nomodeset and resolution is correct, shows unidentified monitor with KMS and wrong resolution.
Comment 7 Matěj Cepl 2009-11-05 13:31:46 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Adam Jackson 2010-04-26 17:50:17 EDT
This should be working in F13.

Note You need to log in before you can comment on or make changes to this bug.